지원 범위에 없는 원본 로캘

Moses Skoda엔지니어1분 소요

API는 이 문제가 발생하면 422 Unprocessable Content 응답을 반환합니다. type 값은 https://lingo.dev/docs/api/errors/pairs-source-locale-not-covered입니다. 모든 오류의 공통 구조는 오류 및 상태 코드를 참고하세요.

쌍을 저장할 수 없습니다. 원본 로캘 "pt-BR"은 엔진의 기본 용어집이 지원하는 로캘(<coverage>)에 포함되지 않습니다. 지원되는 로캘 중 하나를 사용하거나 이 로캘을 용어집의 원본 로캘 지원 범위에 추가하세요.

필드#

응답 본문에는 표준 항목인 type, status, title, detail 외에도 다음 필드가 포함됩니다. detail 텍스트는 이 필드들을 바탕으로 생성되므로, 클라이언트에서 자체 문구를 대신 표시할 수 있습니다.

필드유형
sourceLocalestring
coveragestring[]
owner"glossary" | "engine"

예시#

json
{
  "detail": "Cannot save the pairs. Their source locale \"pt-BR\" is not one the engine's default glossary covers (<coverage>). Use one of those locales, or add this one to the glossary's source coverage.",
  "sourceLocale": "pt-BR",
  "coverage": [
    "<coverage>"
  ],
  "owner": "glossary",
  "type": "https://lingo.dev/docs/api/errors/pairs-source-locale-not-covered",
  "status": 422,
  "title": "Source locale not covered"
}

이 오류를 반환하는 엔드포인트#

  • POST /v2/engines/{engineId}/glossary-terms/extract-from-vtt